name: relion-5.0
channels:
  - conda-forge
  - defaults
dependencies:
  - pip
  - python=3.10
  - setuptools=59.5.0
  - pip:
      - torch==2.0.1
      - torchvision==0.15.2
      - numpy==1.24.4
      - tqdm==4.65.0
      - mrcfile==1.4.3
      - starfile==0.4.12
      - loguru==0.7.0
      - scikit-learn==1.3.0
      - umap-learn==0.5.3
      - matplotlib==3.7.2
      - napari[all]==0.4.18
      - tsnecuda==3.0.1
      - PyQt5==5.15.9
      - typer==0.9.0
      - biopython==1.81
      - fastcluster==1.2.6
      - seaborn==0.12.2
      - dill==0.3.7
      - pyhmmer>=0.10.1
      - fair-esm
      - einops
      - scipy
      - git+https://github.com/3dem/relion-classranker@b6e751e5cb4205d8e9b36d0ae38c3687b3395acb
      - git+https://github.com/3dem/relion-blush
      - git+https://github.com/3dem/DynaMight
      - git+https://github.com/3dem/topaz
      - git+https://github.com/3dem/model-angelo
      - ".[vis]"
      
      
